require 'spec_helper'

describe "Moxify routing" do
  
  it "should redirect on /refinery visit", :type => :request do
    get '/refinery'
    response.should redirect_to '/admin'
  end
  
  it "should redirect past refinery", :type => :request do
    get '/refinery/dialogs/images'
    response.should redirect_to '/admin/dialogs/images'
  end
  
  it "should override refinery root to /admin", :type => :request do
    refinery_root_path.should == "/admin"
  end
  
  it "should override plugin paths", :type => :request do
    [
      {name:'pages',path:'/admin/pages'},
      {name:'dashboard',path:'/admin/dashboard'},
      {name:'images',path:'/admin/images'},
      {name:'resources',path:'/admin/resources'},
      {name:'refinery_settings',path:'/admin/settings'}
    ].each do |plugin|
      eval("admin_#{plugin[:name]}_path").should == plugin[:path]
    end
  end
  
  it "should rewrite users paths", :type => :request do
    new_user_session_path.should == "/admin/login"
    destroy_user_session_path.should == "/admin/logout"
    new_user_registration_path.should == "/admin/register"
  end
  
end